intersection.igraph.vs {igraph} | R Documentation

## Intersection of vertex sequences

### Description

Intersection of vertex sequences

### Usage

    ## S3 method for class 'igraph.vs'
    intersection(...)

### Arguments

`...` | The vertex sequences to take the intersection of.

### Details

They must belong to the same graph. Note that this function has ‘set’ semantics and the multiplicity of vertices is lost in the result.

### Value

A vertex sequence that contains vertices that appear in all given sequences, each vertex exactly once.

### See Also

Other vertex and edge sequence operations: `[.igraph.es`, `%–%`, `%->%`, `%<-%`, `igraph-es-indexing`; `[.igraph.vs`, `igraph-vs-indexing`; `[[.igraph.es`, `igraph-es-indexing2`; `[[.igraph.vs`, `igraph-vs-indexing2`; `c.igraph.es`; `c.igraph.vs`; `difference.igraph.es`; `difference.igraph.vs`; `intersection.igraph.es`; `rev.igraph.es`; `rev.igraph.vs`; `union.igraph.es`; `union.igraph.vs`; `unique.igraph.es`; `unique.igraph.vs`

### Examples

    g <- make_(ring(10), with_vertex_(name = LETTERS[1:10]))
    intersection(E(g)[1:6], E(g)[5:9])

[Package igraph version 1.0.1 Index]